MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030692Open CASCADE[OCCT] OCCT:Data Exchangepublic2019-05-05 20:282019-10-17 10:03
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
DescriptionThis issue is intended for creation of a new framework for importing mesh data format into XDE document - e.g. providing common auxiliary tools.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numbercollections/n/osdpath
Attached Filesjpg file icon cs_assorty.jpg (41,843 bytes) 2019-05-09 22:32
png file icon cs_3dsmax_unity_unreal.png (135,289 bytes) 2019-05-09 22:39
? file icon occt_cambox_posYfwd_posZup.ply (1,019,714 bytes) 2019-05-09 22:47
png file icon cs_blender_axo.png (68,512 bytes) 2019-05-09 22:53
png file icon cs_blender_front.png (67,976 bytes) 2019-05-09 22:53
png file icon cs_occt_axo.png (42,323 bytes) 2019-05-09 22:55
png file icon cs_occt_front.png (37,537 bytes) 2019-05-09 22:55
png file icon cs_unigine.png (41,965 bytes) 2019-05-10 00:09
png file icon cs_gltf.png (156,012 bytes) 2019-05-10 00:11
jpg file icon cs_maya_Yup.JPG (49,726 bytes) 2019-05-10 00:34
gif file icon left-hand-right-hand.gif (8,222 bytes) 2019-05-10 00:39
png file icon cs_visual_studio_axo.png (68,585 bytes) 2019-05-10 00:56
png file icon cs_visual_studio_front.png (31,530 bytes) 2019-05-10 00:56
png file icon cs_win10_viewer_axo.png (241,566 bytes) 2019-05-10 00:58
png file icon cs_win10_viewer_front.png (295,840 bytes) 2019-05-10 00:58

- Relationships
related to 0025777closedbugmaster Community Draw Harness, ViewerTest - make commands defining standard views to match their names 
related to 0030344verifiedbugmaster Open CASCADE Coding Rules - suppress GCC compiler warnings -Wstrict-overflow on Standard_OutOfRange_Raise_if 
parent of 0030809verifiedapn Open CASCADE Data Exchange - fix misprint in RWMesh_CafReader::generateNames() 
parent of 0030837verifiedbugmaster Open CASCADE Data Exchange, XCAFPrs_DocumentExplorer - fix misprint in XCAFPrs_DocumentExplorerFlags_NoStyle check 
parent of 0031010reviewedbugmaster Open CASCADE Foundation Classes - heap-buffer-overflow reported by Clang address sanitizer in OSD_Path::IsUncExtendedPath() 
parent of 0031074newgka Open CASCADE Data Exchange - RWMesh_CafReader::addShapeIntoDoc() incorrectly assigns sub-shapes within recursion 
related to 0030957verifiedbugmaster Open CASCADE Data Exchange - Assembly item Id should not start with '/' symbol 
child of 0030691verifiedbugmaster Open CASCADE Data Exchange - implement import of mesh data from files in glTF format 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0084162)
git (administrator)
2019-05-05 20:47

Branch CR30692 has been created by kgv.

SHA-1: 0ff70b35e600c0f5625aaa3f3dc6253fa271fe73


No new revisions were added by this update.
(0084165)
git (administrator)
2019-05-05 20:50

Branch CR30692 has been updated forcibly by kgv.

SHA-1: 1eebf8d075f9ff11c8ee737947b1c361fa2b3ed4
(0084234)
abv (manager)
2019-05-08 08:34

1. On OSD_Path.hxx:

- line 234: "sever" instead of "server"

//! \\sever\share\file
 
- method IsUncPath() and possibly others should take into account possibility of using forward slashes in paths on Windows

- method IsRemoteProtocolPath() could be implemented as just
  { return *thePath != ':' && (strstr (thePath, "://") != 0); }

- it is desirable to have tests for the new methods

2. On enum RWMesh_CoordinateSystem:

- how you decided that OCCT coordinate system is "Y forward"? Why not using gp_Axis class as generic means to define axes? Let's discuss that

- RWMesh_CoordinateSystem_NB is defined inconsistently, implicitly assuming that starting value (LOWER) is zero. It should be
 RWMesh_CoordinateSystem_NB = RWMesh_CoordinateSystem_UPPER - RWMesh_CoordinateSystem_LOWER + 1
(0084272)
git (administrator)
2019-05-09 15:54

Branch CR30692 has been updated by kgv.

SHA-1: b1ae13ec0782255fca5f9651e02a2bc568184062


Detailed log of new commits:

Author: kgv
Date: Thu May 9 13:41:06 2019 +0300

    # 0030692 - remarks for OSD_Path

Author: kgv
Date: Thu May 9 13:33:33 2019 +0300

    # 0030692 Move RWMesh_DocumentExplorer -> XCAFPrs_DocumentExplorer

(0084274)
git (administrator)
2019-05-09 15:57

Branch CR30692_1 has been created by kgv.

SHA-1: 5b399cdc79d70857660864163bf55bfa450cf7bd


Detailed log of new commits:

Author: kgv
Date: Fri May 3 17:50:28 2019 +0300

    0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
    
    RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.
    
    OSD_Path - added auxiliary methods splitting path into folder+file pair
    and checking relative/absolute path semantically:
    OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().
(0084275)
kgv (developer)
2019-05-09 15:58

> 1. On OSD_Path.hxx
Remarks applied.
(0084284)
git (administrator)
2019-05-10 17:12

Branch CR30692_1 has been updated by kgv.

SHA-1: 59b2d680433f53a40fb569ca364f0fd5c328c167


Detailed log of new commits:

Author: kgv
Date: Fri May 10 16:47:14 2019 +0300

    # 0030692 - revise Coordinate System converter - use gp_Ax3

Author: kgv
Date: Fri May 10 11:33:29 2019 +0300

    # 0030692 - revise coordinate system convertor
    
    V3d_TypeOfOrientation enumeration has been extended with aliases
    (like front/left) for Z-up and Y-up conentions.
    V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.
    
    Added command vviewproj defining standard camera direction.
    Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.

Author: kgv
Date: Fri May 10 09:23:02 2019 +0300

    # 0030692 - add SingleShape() method

(0084286)
git (administrator)
2019-05-10 17:14

Branch CR30692_2 has been created by kgv.

SHA-1: 361f8e85d5c27c47754e36288a7f5e63832efd63


No new revisions were added by this update.
(0084287)
kgv (developer)
2019-05-10 17:18

> 2. On enum RWMesh_CoordinateSystem:
Coordinate system converter has been revised following remarks.
(0084291)
git (administrator)
2019-05-11 07:57

Branch CR30692_2 has been updated forcibly by kgv.

SHA-1: 225b35f6efbf4bda3a74cd72b9389b315cffc6ab
(0084304)
git (administrator)
2019-05-13 14:45

Branch CR30692_2 has been updated forcibly by kgv.

SHA-1: eda6a869a4866942c5f3a14f4b2c066fd388240b
(0084773)
msv (developer)
2019-06-03 18:43

In commit message, there is mistake in the word 'conentions'.

src/V3d/V3d_TypeOfOrientation.hxx
- 22: misprint, must be '+X'

src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx
- 60: 'separator' instead of 'newline'

src/XCAFPrs/XCAFPrs_DocumentExplorer.hxx
- 34: misprint 'lead'

src/XCAFPrs/XCAFPrs_DocumentExplorer.cxx
- 376: redundant code
- 366,417: inverse condition?

RWMesh_CafReader.hxx
- 36: ill formed sentence; is 'see' extra word?
- 95: it is unclear "does is".
- 117: Why is not Standard_CString used for file name, like it is in all DE readers?

RWMesh_CoordinateSystem.hxx
- 19: wrap too long line

RWMesh_CoordinateSystemConverter.cxx
- 31: myIsEmpty must be true.

RWMesh_CoordinateSystemConverter.hxx
- 43-44: Considering all documentation comments, I would use the following:
      case RWMesh_CoordinateSystem_posYfwd_posZup: return gp_Ax3 (gp::Origin(),  gp::DZ(), gp::DX());
      
case RWMesh_CoordinateSystem_negZfwd_posYup: return gp_Ax3 (gp::Origin(), gp::DY(), gp::DX());


RWMesh_CafReader.cxx
- 90,345: wrap too long line
- 106-121: why not calling SingleShape()?
- 138: why we continue if performMesh is not done?

I think RWMesh_Texture class should be moved into Image package.

I think RWMesh_Base64Decoder class should be moved to some package of TKernel, e.g. OSD or FSD.

I think RWMesh_ReadBuffer class is a general one and worth to be put in the package OSD.
(0084776)
git (administrator)
2019-06-03 19:39

Branch CR30692_2 has been updated forcibly by kgv.

SHA-1: 16e40a6cb42a70819e7ef214ec18069c303e36f2
(0084777)
git (administrator)
2019-06-03 19:57

Branch CR30692_3 has been created by kgv.

SHA-1: 1f17e111bcf13b29b663a576e5ef09f649ce8dad


Detailed log of new commits:

Author: kgv
Date: Fri May 3 17:50:28 2019 +0300

    0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
    
    RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.
    
    OSD_Path - added auxiliary methods splitting path into folder+file pair
    and checking relative/absolute path semantically:
    OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().
    
    V3d_TypeOfOrientation enumeration has been extended with aliases
    (like front/left) for Z-up and Y-up conventions.
    V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.
    
    Added command vviewproj defining standard camera direction.
    Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.
    
    TCollection_AsciiString::SubString() now uses Standard_OutOfRange_Always_Raise_if() to suppress GCC warning.
(0084778)
kgv (developer)
2019-06-03 20:10

- 117: Why is not Standard_CString used for file name, like it is in all DE readers?
"const char*" is clumsy and it would be better avoiding it, since users asks questions like "why are you using const char* and not TCollection_ExtendedString?".
TCollection_AsciiString is implicitly and correctly created from passed "const char*", while having TCollection_AsciiString in a first place requires passing clumsy ".ToCString()".

> I think RWMesh_Base64Decoder class should be moved
> to some package of TKernel, e.g. OSD or FSD.
Well RWMesh_Base64Decoder has nothing Operating System Dependent...
Moved to FSD, although this package does not look like a good place.

> I think RWMesh_ReadBuffer class is a general one
> and worth to be put in the package OSD.
Moved to Standard close to similar helper Standard_ArrayStreamBuffer.
(0084783)
git (administrator)
2019-06-03 21:53

Branch CR30692_3 has been updated forcibly by kgv.

SHA-1: 149b971e2d35c6b0fb607002a10c3e820a5bf6c7
(0084784)
kgv (developer)
2019-06-03 21:55

Remarks have been applied.
(0084792)
msv (developer)
2019-06-04 10:11

How the caller of RWMesh_CafReader will know that the model has been read only partially?
(0084796)
kgv (developer)
2019-06-04 11:00
edited on: 2019-06-04 11:02

> How the caller of RWMesh_CafReader will know that the model has been read only partially?
The failure reason will be reported through messenger with status Message_Fail.
Currently this is expected to be happen only in case when user specifies memory limits constrains.

Probably we can also add extra status flag as property of RWMesh_CafReader.

(0084797)
msv (developer)
2019-06-04 11:03

I agree to add status flag. Please implement.
(0084807)
git (administrator)
2019-06-04 12:21

Branch CR30692_3 has been updated by kgv.

SHA-1: d4c9d4b28641ca8711234bd7c047d103a21f3802


Detailed log of new commits:

Author: kgv
Date: Tue Jun 4 12:20:27 2019 +0300

    # 0030692 extra status for partial read

(0084809)
git (administrator)
2019-06-04 12:22

Branch CR30692_4 has been created by kgv.

SHA-1: e94d485ff506d534dd08f5ae75d681730eab6ef5


Detailed log of new commits:

Author: kgv
Date: Fri May 3 17:50:28 2019 +0300

    0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
    
    RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.
    
    OSD_Path - added auxiliary methods splitting path into folder+file pair
    and checking relative/absolute path semantically:
    OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().
    
    V3d_TypeOfOrientation enumeration has been extended with aliases
    (like front/left) for Z-up and Y-up conventions.
    V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.
    
    Added command vviewproj defining standard camera direction.
    Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.
    
    TCollection_AsciiString::SubString() now uses Standard_OutOfRange_Always_Raise_if() to suppress GCC warning.
(0084812)
kgv (developer)
2019-06-04 12:25

> I agree to add status flag. Please implement.
Status has been added.
(0084817)
msv (developer)
2019-06-04 15:32

Reviewed.
(0084827)
git (administrator)
2019-06-04 22:15

Branch CR30692_4 has been updated forcibly by kgv.

SHA-1: e0336df4a32cf2c222ccba8c7fbd72940418c3aa
(0084830)
kgv (developer)
2019-06-04 22:17

Branch CR30692_4 has been updated to eliminate trivial compiler warning.
(0084852)
bugmaster (administrator)
2019-06-05 12:01

Results of compilation on jenkins-test-08

Errors:
http://jenkins-test-08.nnov.opencascade.com/view/WEEK-23-1_WEEK-23/view/OCCT%20compile/job/WEEK-23-1_WEEK-23-OCCT-CentOS64-64-opt-compile/1/parsed_console/ [^]
CentOS64-64-opt
gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-3)

 from /dn54/builds/WEEK-23-1_WEEK-23/CentOS64-64-opt/OCCT/src/FSD/FSD_Base64Decoder.cxx:18:
/dn54/builds/WEEK-23-1_WEEK-23/CentOS64-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx: In member function ‘TCollection_AsciiString TCollection_AsciiString::SubString(Standard_Integer, Standard_Integer) const’:
/dn54/builds/WEEK-23-1_WEEK-23/CentOS64-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx:118: error: #pragma GCC diagnostic not allowed inside functions
/dn54/builds/WEEK-23-1_WEEK-23/CentOS64-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx:118: error: #pragma GCC diagnostic not allowed inside functions
/dn54/builds/WEEK-23-1_WEEK-23/CentOS64-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx:118: error: #pragma GCC diagnostic not allowed inside functions
make[2]: *** [src/TKernel/CMakeFiles/TKernel.dir/__/FSD/FSD_Base64Decoder.cxx.o] Error 1
make[1]: *** [src/TKernel/CMakeFiles/TKernel.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
(0084854)
git (administrator)
2019-06-05 12:24

Branch CR30692_4 has been updated by kgv.

SHA-1: 8effe5f0367f69026da3bfff80ec49baa4652362


Detailed log of new commits:

Author: kgv
Date: Wed Jun 5 12:23:50 2019 +0300

    Eliminated gcc 4.4 compilation errors within Standard_OutOfRange_Raise_if,Standard_RangeError_Raise_if.

(0084855)
kgv (developer)
2019-06-05 12:26

> CentOS64-64-opt
> gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-3)
These errors are not introduced by this patch (only for Release builds with No_Exception defined), but by 0030344 on old GCC.
The fix has been pushed to branch - please check building.
(0084857)
bugmaster (administrator)
2019-06-05 12:42
edited on: 2019-06-05 13:38

Results of compilation on jenkins-test-08

Warnings:

http://jenkins-test-08.nnov.opencascade.com/view/WEEK-23-1_WEEK-23/view/OCCT%20compile/ [^]

http://jenkins-test-08.nnov.opencascade.com/view/management/job/warnings_compare/Compare_20Warnings_20Report/ [^]

TOTAL OF NEW WARNINGS : 55

TOTAL OF FIXED WARNINGS : 0

All windows platforms:
 
23>c:\builds\WEEK-23-1_WEEK-23\Windows-32-VC10-opt\OCCT\src\Image\Image_Texture.cxx(276) : warning C4244: '=' : conversion from 'std::streamoff' to 'Standard_Size', possible loss of data

43>C:/builds/WEEK-23-1_WEEK-23/Windows-32-VC10-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx(48) : warning C4512: 'XCAFPrs_DocumentIdIterator' : assignment operator could not be generated
43> C:/builds/WEEK-23-1_WEEK-23/Windows-32-VC10-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx(26) : see declaration of 'XCAFPrs_DocumentIdIterator'


++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Project : WEEK-23-1_WEEK-23-OCCT-Windows-32-VC9-opt-compile
++++++++++++++++++++++++++++++++++++++++++++++++++++++++

New warnings appears: 4
 
C:\builds\WEEK-23-1_WEEK-23\Windows-32-VC9-opt\OCCT\src\Image\Image_Texture.cxx(163) : warning C4244: 'argument' : conversion from 'int64_t' to 'long', possible loss of data
C:\builds\WEEK-23-1_WEEK-23\Windows-32-VC9-opt\OCCT\src\Image\Image_Texture.cxx(201) : warning C4244: 'argument' : conversion from 'const int64_t' to 'long', possible loss of data
C:\builds\WEEK-23-1_WEEK-23\Windows-32-VC9-opt\OCCT\src\Image\Image_Texture.cxx(266) : warning C4244: 'argument' : conversion from 'int64_t' to 'long', possible loss of data

C:/builds/WEEK-23-1_WEEK-23/Windows-32-VC9-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx(48) : warning C4512: 'XCAFPrs_DocumentIdIterator' : assignment operator could not be generated
C:/builds/WEEK-23-1_WEEK-23/Windows-32-VC9-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx(26) : see declaration of 'XCAFPrs_DocumentIdIterator'



All Linux, MacOS and Android


New warnings appears: 3
 
In file included from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-clang-opt/OCCT/src/RWMesh/RWMesh_CafReader.cxx:15:
In file included from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-clang-opt/OCCT/build/inc/RWMesh_CafReader.hxx:1:
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-clang-opt/OCCT/src/RWMesh/RWMesh_CafReader.hxx:78:55: warning: expression result unused [-Wunused-value]
  Standard_Boolean ToFillIncompleteDocument() const { myToFillIncomplete; }
                                                      ^~~~~~~~~~~~~~~~~~
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-clang-opt/OCCT/src/RWMesh/RWMesh_CafReader.hxx:78:75: warning: control reaches end of non-void function [-Wreturn-type]
  Standard_Boolean ToFillIncompleteDocument() const { myToFillIncomplete; }
                                                                          ^

src/TKSTEPBase/CMakeFiles/TKSTEPBase.dir/__/RWStepShape/RWStepShape_RWDimensionalSize.cxx.o
In file included from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/build/include/opencascade/Standard_OutOfRange.hxx:1:0,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/NCollection/NCollection_BaseVector.hxx:20,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/build/include/opencascade/NCollection_BaseVector.hxx:1,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/NCollection/NCollection_Vector.hxx:19,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/build/include/opencascade/NCollection_Vector.hxx:1,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentExplorer.hxx:18,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/build/include/opencascade/XCAFPrs_DocumentExplorer.hxx:1,
                 from /dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/XCAFPrs/XCAFPrs_DocumentExplorer.cxx:15:
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx: In static member function 'static TDF_Label XCAFPrs_DocumentExplorer::FindLabelFromPathId(const opencascade::handle<TDocStd_Document>&, const TCollection_AsciiString&, TopLoc_Location&, TopLoc_Location&)':
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/Standard/Standard_OutOfRange.hxx:33:3: warning: assuming signed overflow does not occur when assuming that (X - c) > X is always false [-Wstrict-overflow]
   if (CONDITION) throw Standard_OutOfRange(MESSAGE); \
   ^
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx:117:3: note: in expansion of macro 'Standard_OutOfRange_Always_Raise_if'
   Standard_OutOfRange_Always_Raise_if(ToIndex > mylength || FromIndex <= 0 || FromIndex > ToIndex,
   ^
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/Standard/Standard_OutOfRange.hxx:33:3: warning: assuming signed overflow does not occur when assuming that (X - c) > X is always false [-Wstrict-overflow]
   if (CONDITION) throw Standard_OutOfRange(MESSAGE); \
   ^
/dn54/builds/WEEK-23-1_WEEK-23/ARCH463-64-opt/OCCT/src/TCollection/TCollection_AsciiString.lxx:117:3: note: in expansion of macro 'Standard_OutOfRange_Always_Raise_if'
   Standard_OutOfRange_Always_Raise_if(ToIndex > mylength || FromIndex <= 0 || FromIndex > ToIndex,
   ^

(0084867)
git (administrator)
2019-06-05 13:45

Branch CR30692_4 has been updated by kgv.

SHA-1: a7a101469803401e789dbfd843b01b4841d6982e


Detailed log of new commits:

Author: kgv
Date: Wed Jun 5 13:45:07 2019 +0300

    # suppress compiler warnings

(0084868)
kgv (developer)
2019-06-05 13:46

> Results of compilation on jenkins-test-08
> Warnings:
Compilation warnings should be eliminated now, please check.
(0084925)
bugmaster (administrator)
2019-06-06 17:09

Fix has been tested on WEEK-23 branch.

Combination -
OCCT branch : WEEK-23
master SHA - 85584690a13dedbef2832ca823a0497373ad59c9
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : WEEK-23 SHA - c5bc3b1af443b12c545c417b7ceaeec6b0feb548
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16171.010000000148 / 16313.930000000051 [-0.88%]
Products
Total CPU difference: 10475.530000000037 / 10490.14000000005 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 17609.609375 / 17714.90625 [-0.59%]
Products
Total CPU difference: 12110.65625 / 12054.984375 [+0.46%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084954)
git (administrator)
2019-06-08 13:20

Branch CR30692_4 has been deleted by inv.

SHA-1: a7a101469803401e789dbfd843b01b4841d6982e
(0084958)
git (administrator)
2019-06-08 13:21

Branch CR30692_3 has been deleted by inv.

SHA-1: d4c9d4b28641ca8711234bd7c047d103a21f3802
(0084961)
git (administrator)
2019-06-08 13:21

Branch CR30692_2 has been deleted by inv.

SHA-1: 16e40a6cb42a70819e7ef214ec18069c303e36f2
(0084965)
git (administrator)
2019-06-08 13:21

Branch CR30692_1 has been deleted by inv.

SHA-1: 59b2d680433f53a40fb569ca364f0fd5c328c167
(0084966)
git (administrator)
2019-06-08 13:21

Branch CR30692 has been deleted by inv.

SHA-1: b1ae13ec0782255fca5f9651e02a2bc568184062

- Related Changesets
occt: master fc552d84
Timestamp: 2019-05-03 14:50:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030692: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document

RWMesh_CafReader - added new interface class for common workflow for reading mesh data files into XDE document.

OSD_Path - added auxiliary methods splitting path into folder+file pair
and checking relative/absolute path semantically:
OSD_Path::FolderAndFileFromPath(), ::IsRelativePath(), ::IsAbsolutePath().

V3d_TypeOfOrientation enumeration has been extended with aliases
(like front/left) for Z-up and Y-up conventions.
V3d_View::SetProj() now accepts argument for asking Y-up instead of Z-up.

Added command vviewproj defining standard camera direction.
Commands vaxo, vleft, vright, vtop, vbottom, vfront, vbottom now redirect to vviewproj.

TCollection_AsciiString::SubString() now uses Standard_OutOfRange_Always_Raise_if() to suppress GCC warning.

Eliminated gcc 4.4 compilation errors within Standard_OutOfRange_Raise_if,Standard_RangeError_Raise_if.
mod - adm/MODULES Diff ] File ]
mod - adm/UDLIST Diff ] File ]
mod - src/FSD/FILES Diff ] File ]
add - src/FSD/FSD_Base64Decoder.cxx Diff ] File ]
add - src/FSD/FSD_Base64Decoder.hxx Diff ] File ]
mod - src/Image/FILES Diff ] File ]
add - src/Image/Image_Texture.cxx Diff ] File ]
add - src/Image/Image_Texture.hxx Diff ] File ]
mod - src/OS/DataExchange.tcl Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]
mod - src/OSD/OSD_Path.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]
add - src/RWMesh/FILES Diff ] File ]
add - src/RWMesh/RWMesh_CafReader.cxx Diff ] File ]
add - src/RWMesh/RWMesh_CafReader.hxx Diff ] File ]
add - src/RWMesh/RWMesh_CoordinateSystem.hxx Diff ] File ]
add - src/RWMesh/RWMesh_CoordinateSystemConverter.cxx Diff ] File ]
add - src/RWMesh/RWMesh_CoordinateSystemConverter.hxx Diff ] File ]
add - src/RWMesh/RWMesh_NodeAttributes.hxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
mod - src/Standard/Standard_OutOfRange.hxx Diff ] File ]
mod - src/Standard/Standard_RangeError.hxx Diff ] File ]
add - src/Standard/Standard_ReadBuffer.hxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.lxx Diff ] File ]
add - src/TKRWMesh/CMakeLists.txt Diff ] File ]
add - src/TKRWMesh/EXTERNLIB Diff ] File ]
add - src/TKRWMesh/FILES Diff ] File ]
add - src/TKRWMesh/PACKAGES Diff ] File ]
mod - src/TKXSDRAW/EXTERNLIB Diff ] File ]
mod - src/V3d/V3d_TypeOfOrientation.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XCAFPrs/FILES Diff ] File ]
add - src/XCAFPrs/XCAFPrs_DocumentExplorer.cxx Diff ] File ]
add - src/XCAFPrs/XCAFPrs_DocumentExplorer.hxx Diff ] File ]
add - src/XCAFPrs/XCAFPrs_DocumentIdIterator.hxx Diff ] File ]
add - src/XCAFPrs/XCAFPrs_DocumentNode.hxx Diff ] File ]
add - tests/collections/n/osdpath Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-05 20:28 kgv New Issue
2019-05-05 20:28 kgv Assigned To => kgv
2019-05-05 20:28 kgv Relationship added child of 0029296
2019-05-05 20:29 kgv Relationship added child of 0030691
2019-05-05 20:29 kgv Relationship added child of 0028364
2019-05-05 20:29 kgv Summary 0030691: Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document => Data Exchange - introduce base framework RWMesh for importing mesh data formats into XDE document
2019-05-05 20:47 git Note Added: 0084162
2019-05-05 20:50 git Note Added: 0084165
2019-05-08 08:34 abv Note Added: 0084234
2019-05-08 09:46 kgv Relationship added related to 0029357
2019-05-09 15:54 git Note Added: 0084272
2019-05-09 15:57 git Note Added: 0084274
2019-05-09 15:58 kgv Note Added: 0084275
2019-05-09 22:32 kgv File Added: cs_assorty.jpg
2019-05-09 22:39 kgv File Added: gltf_coordinate_system.png
2019-05-09 22:39 kgv File Added: cs_3dsmax_unity_unreal.png
2019-05-09 22:43 kgv Relationship added related to 0025777
2019-05-09 22:47 kgv File Added: occt_cambox_posYfwd_posZup.ply
2019-05-09 22:53 kgv File Added: cs_blender_axo.png
2019-05-09 22:53 kgv File Added: cs_blender_front.png
2019-05-09 22:55 kgv File Added: cs_occt_axo.png
2019-05-09 22:55 kgv File Added: cs_occt_front.png
2019-05-10 00:09 kgv File Added: cs_unigine.png
2019-05-10 00:11 kgv File Deleted: gltf_coordinate_system.png
2019-05-10 00:11 kgv File Added: cs_gltf.png
2019-05-10 00:34 kgv File Added: cs_maya_Yup.JPG
2019-05-10 00:39 kgv File Added: left-hand-right-hand.gif
2019-05-10 00:51 kgv File Added: cs_visual_studio_axo.png
2019-05-10 00:52 kgv File Added: cs_visual_studio_front.png
2019-05-10 00:55 kgv File Deleted: cs_visual_studio_axo.png
2019-05-10 00:55 kgv File Deleted: cs_visual_studio_front.png
2019-05-10 00:56 kgv File Added: cs_visual_studio_axo.png
2019-05-10 00:56 kgv File Added: cs_visual_studio_front.png
2019-05-10 00:58 kgv File Added: cs_win10_viewer_axo.png
2019-05-10 00:58 kgv File Added: cs_win10_viewer_front.png
2019-05-10 17:12 git Note Added: 0084284
2019-05-10 17:14 git Note Added: 0084286
2019-05-10 17:18 kgv Note Added: 0084287
2019-05-10 17:18 kgv Assigned To kgv => abv
2019-05-10 17:18 kgv Status new => resolved
2019-05-11 07:57 git Note Added: 0084291
2019-05-13 14:45 git Note Added: 0084304
2019-05-14 22:03 kgv Relationship added related to 0030421
2019-05-23 17:47 kgv Relationship added related to 0030732
2019-05-28 08:40 kgv Assigned To abv => msv
2019-06-03 18:43 msv Note Added: 0084773
2019-06-03 18:43 msv Assigned To msv => kgv
2019-06-03 18:43 msv Status resolved => assigned
2019-06-03 19:39 git Note Added: 0084776
2019-06-03 19:57 git Note Added: 0084777
2019-06-03 20:10 kgv Note Added: 0084778
2019-06-03 21:53 git Note Added: 0084783
2019-06-03 21:55 kgv Note Added: 0084784
2019-06-03 21:55 kgv Assigned To kgv => msv
2019-06-03 21:55 kgv Status assigned => resolved
2019-06-04 10:11 msv Note Added: 0084792
2019-06-04 10:12 msv Assigned To msv => kgv
2019-06-04 10:12 msv Status resolved => feedback
2019-06-04 11:00 kgv Note Added: 0084796
2019-06-04 11:01 kgv Assigned To kgv => msv
2019-06-04 11:02 kgv Note Edited: 0084796 View Revisions
2019-06-04 11:03 msv Note Added: 0084797
2019-06-04 11:04 msv Assigned To msv => kgv
2019-06-04 11:04 msv Status feedback => assigned
2019-06-04 12:21 git Note Added: 0084807
2019-06-04 12:22 git Note Added: 0084809
2019-06-04 12:25 kgv Note Added: 0084812
2019-06-04 12:25 kgv Assigned To kgv => msv
2019-06-04 12:25 kgv Status assigned => resolved
2019-06-04 15:32 msv Note Added: 0084817
2019-06-04 15:32 msv Assigned To msv => bugmaster
2019-06-04 15:32 msv Status resolved => reviewed
2019-06-04 17:40 bugmaster Test case number => collections/n/osdpath
2019-06-04 22:15 git Note Added: 0084827
2019-06-04 22:17 kgv Note Added: 0084830
2019-06-05 12:01 bugmaster Note Added: 0084852
2019-06-05 12:24 git Note Added: 0084854
2019-06-05 12:26 kgv Note Added: 0084855
2019-06-05 12:42 bugmaster Note Added: 0084857
2019-06-05 13:34 bugmaster Note Edited: 0084857 View Revisions
2019-06-05 13:38 bugmaster Note Edited: 0084857 View Revisions
2019-06-05 13:45 git Note Added: 0084867
2019-06-05 13:46 kgv Note Added: 0084868
2019-06-05 13:47 kgv Relationship added related to 0030344
2019-06-06 17:09 bugmaster Note Added: 0084925
2019-06-06 17:09 bugmaster Status reviewed => tested
2019-06-08 13:11 bugmaster Changeset attached => occt master fc552d84
2019-06-08 13:11 bugmaster Status tested => verified
2019-06-08 13:11 bugmaster Resolution open => fixed
2019-06-08 13:20 git Note Added: 0084954
2019-06-08 13:21 git Note Added: 0084958
2019-06-08 13:21 git Note Added: 0084961
2019-06-08 13:21 git Note Added: 0084965
2019-06-08 13:21 git Note Added: 0084966
2019-06-25 15:32 kgv Relationship added parent of 0030809
2019-07-10 23:21 kgv Relationship added parent of 0030837
2019-09-04 17:08 kgv Relationship added related to 0030828
2019-09-09 15:30 kgv Relationship added related to 0030957
2019-09-30 21:58 kgv Relationship added related to 0031010
2019-10-01 13:39 kgv Relationship replaced parent of 0031010
2019-10-17 10:03 kgv Relationship added parent of 0031074


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker